package org.springframework.boot.loader.archive;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.File;
import java.net.URL;
import org.springframework.boot.loader.archive.Archive;
import org.springframework.boot.loader.archive.ExplodedArchive;

class FileEntry implements Archive.Entry {
  private final String name;
  
  private final File file;
  
  private final URL url;
  
  FileEntry(String name, File file, URL url) {
    this.name = name;
    this.file = file;
    this.url = url;
  }
  
  File getFile() {
    return this.file;
  }
  
  public boolean isDirectory() {
    return this.file.isDirectory();
  }
  
  public String getName() {
    return this.name;
  }
  
  URL getUrl() {
    return this.url;
  }
}
